#ifndef assert_hh_included
#define assert_hh_included

#include <assert.h>


// Some simple assertion support.  The intent is to call assert() with
// assert(TODO) or assert(UNREACHABLE) instead of just assert(0), to make the
// assertion message meaningful.

#define TODO 0
#define UNREACHABLE 0


// A simple printf-debugging macro ;)

#ifdef NDEBUG
# define dump SYNTAX_ERROR
#else
# include <stdio.h>
# define dump printf
#endif


#endif // assert_hh_included
