#ifndef bus_hh_included
#define bus_hh_included

#include <cpu.hh>

class Bus
{
public:
    CPU *clock;

    // Memory and device access. Both functions return the latency of the
    // complete operation.
    virtual ClockValue read(UInt64 pa, UInt64*, int) = 0;
    virtual ClockValue write(UInt64 pa, const UInt64*, int) = 0;
};

#endif // bus_hh_included
