#ifndef pcidevice_hh_included
#define pcidevice_hh_included

#include <device.hh>

class PCIDevice
    : public Device
{
public:
    const UInt16 vendor_id, device_id, class_id;
    UInt32 bar[2];
    UInt8 irq;

    explicit PCIDevice(int w, UInt16 vendor, UInt16 device, UInt16 pciclass)
	: Device(w), vendor_id(vendor), device_id(device), class_id(pciclass) { }
};

#endif // pcidevice_hh_included
