#include "simarg.hh"


// The Tcl interpreter.
Tcl_Interp *sulima_tcl;


// Destroy a ScriptError object.
ScriptError::~ScriptError()
{
    Tcl_DecrRefCount(obj);
}


// Display an error message stored in a Tcl object.
const char *
ScriptError::what() const
{
    return Tcl_GetStringFromObj(obj, NULL); 
}
