#ifndef stdlib_h_included
#define stdlib_h_included

#include "stdarg.h"

int  putchar(int c);
int  puts(const char* str);
int  bcmp(const void* s1, const void* s2, int n);
void bcopy(const void* str, void* dst, int n);
int  isspace(int c);
unsigned long strlen(const char* str);
void abort(void);
void printf(const char* templ, ...);
void vprintf(const char* templ, va_list ap);

#endif /* stdlib_h_included */
